# GET /auto-queues/:queue_id/enrollments

**Resource:** [Auto Queues](./auto-queues.md)  
**MCP tool:** `list_auto_queue_enrollments`  
**Scopes:** `automations:read`  
**Write operation:** no

List enrollments in an event queue.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `queue_id` | path | string | yes |  |

## Request example

```bash
curl   "https://api.trustpager.com/functions/v1/api/v1/auto-queues/:queue_id/enrollments"   -H "Authorization: Bearer YOUR_API_KEY"
```

## Response example

```json
{
  "data": [
    {
      "id": "a1b2c3d4-...",
      "automation_id": "b2c3d4e5-...",
      "task_type": "event_queue_step",
      "scheduled_for": "2026-03-25T10:00:00Z",
      "status": "pending",
      "enrollment_id": "c3d4e5f6-...",
      "enrollment_time": "2026-03-22T10:00:00Z",
      "event_queue_step_id": "d4e5f6a7-...",
      "related_contact_id": "e5f6a7b8-...",
      "related_customer_id": null,
      "related_deal_id": null,
      "cancel_group": "enroll-uuid",
      "retry_count": 0,
      "last_error": null,
      "created_at": "2026-03-22T09:55:00Z",
      "updated_at": "2026-03-22T09:55:00Z"
    }
  ],
  "pagination": {
    "limit": 10,
    "has_more": false,
    "next_cursor": null,
    "prev_cursor": null
  },
  "meta": { "credits_remaining": 9490 }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`